
Core types
==========

Integral types
--------------

.. doxygentypedef:: orcus::spreadsheet::row_t
.. doxygentypedef:: orcus::spreadsheet::col_t
.. doxygentypedef:: orcus::spreadsheet::sheet_t
.. doxygentypedef:: orcus::spreadsheet::color_elem_t
.. doxygentypedef:: orcus::spreadsheet::col_width_t
.. doxygentypedef:: orcus::spreadsheet::row_height_t
.. doxygentypedef:: orcus::spreadsheet::pivot_cache_id_t


Structs
-------

.. doxygenstruct:: orcus::spreadsheet::address_t
   :members:

.. doxygenstruct:: orcus::spreadsheet::range_size_t
   :members:

.. doxygenstruct:: orcus::spreadsheet::range_t
   :members:

.. doxygenstruct:: orcus::spreadsheet::src_address_t
   :members:

.. doxygenstruct:: orcus::spreadsheet::src_range_t
   :members:

.. doxygenstruct:: orcus::spreadsheet::color_rgb_t
   :members:


Enums
-----

.. doxygenenum:: orcus::spreadsheet::error_value_t
.. doxygenenum:: orcus::spreadsheet::border_direction_t
.. doxygenenum:: orcus::spreadsheet::border_style_t
.. doxygenenum:: orcus::spreadsheet::fill_pattern_t
.. doxygenenum:: orcus::spreadsheet::strikethrough_style_t
.. doxygenenum:: orcus::spreadsheet::strikethrough_type_t
.. doxygenenum:: orcus::spreadsheet::strikethrough_width_t
.. doxygenenum:: orcus::spreadsheet::strikethrough_text_t
.. doxygenenum:: orcus::spreadsheet::formula_grammar_t
.. doxygenenum:: orcus::spreadsheet::formula_t
.. doxygenenum:: orcus::spreadsheet::formula_ref_context_t
.. doxygenenum:: orcus::spreadsheet::formula_error_policy_t
.. doxygenenum:: orcus::spreadsheet::underline_t
.. doxygenenum:: orcus::spreadsheet::underline_width_t
.. doxygenenum:: orcus::spreadsheet::underline_mode_t
.. doxygenenum:: orcus::spreadsheet::underline_type_t
.. doxygenenum:: orcus::spreadsheet::hor_alignment_t
.. doxygenenum:: orcus::spreadsheet::ver_alignment_t
.. doxygenenum:: orcus::spreadsheet::xf_category_t
.. doxygenenum:: orcus::spreadsheet::data_table_type_t
.. doxygenenum:: orcus::spreadsheet::totals_row_function_t
.. doxygenenum:: orcus::spreadsheet::conditional_format_t
.. doxygenenum:: orcus::spreadsheet::condition_operator_t
.. doxygenenum:: orcus::spreadsheet::condition_type_t
.. doxygenenum:: orcus::spreadsheet::condition_date_t
.. doxygenenum:: orcus::spreadsheet::databar_axis_t
.. doxygenenum:: orcus::spreadsheet::pivot_cache_group_by_t
